<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
	<script src="https://use.fontawesome.com/releases/v5.0.8/js/all.js"></script>
</head>
<body>
    {% if notifications %}
    <div class="container" style="margin-bottom: 80px; text-align: center;">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col" style="font-size: 24px">Komunikaty</th>
                </tr>
            </thead>
            <tbody>
                {% for notification in notifications %}
                <tr>
                    <td>{{ notification }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% for offer in offers %}
    <div class="container" style="margin-bottom: 200px">
        <div class="page-header">
            <h1 style="text-align: center">Zestaw {{offers.index(offer) + 1}}</h1>
        </div>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Obrazek</th>
                    <th scope="col">Sklep</th>
                    <th scope="col">Nazwa</th>
                    <th scope="col">Liczba Sztuk</th>
                    <th scope="col">Cena</th>
                </tr>
            </thead>
            <tbody>
                {% for item in offer.offer_combination %}
                <tr>
                    <th scope="row">{{offer.offer_combination.index(item) + 1}}</th>
                    {% if item.link_to_product_image %}
                        <td><a href="{{item.link_to_shop}}" target="_blank"><img src="{{item.link_to_product_image}}" height="128"></a></td>
                    {% else %}
                        <td><a href="{{item.link_to_shop}}" target="_blank"><img src="https://image.shutterstock.com/image-vector/no-image-available-icon-vector-260nw-1323742826.jpg" height="128"></a></td>
                    {% endif %}
                    <td>{{item.shop_name}}</td>
                    <td>{{item.product_name}}</td>
                    <td>{{item.count}}</td>
                    <td>{{item.price}} PLN</td>
                </tr>
                {% endfor %}
                <tr>
                    <td></td><td></td><td></td><td></td><th scope="row">Koszty Przesyłki</th>
                    <td>{{offer.delivery_price}}</td>
                </tr>
                <tr>
                    <td></td><td></td><td></td><td></td><th scope="row">Suma</th>
                    <td>{{offer.total_price}}</td>
                </tr>
            </tbody>
        </table>
    </div>
    {% endfor %}
    <div style="text-align: center; margin-bottom: 30px">
        <button class="button" style="vertical-align:middle"><span><a href="/" style="color: black">Wróć do listy zakupów </a></span></button>
    </div>
</body>
</html>